#include <cstdio>
#include <queue>
using namespace std;
typedef long long i64;
int main()
{
    priority_queue<i64> p;
    int n;
    while (~scanf("%d", &n))
    {
        while (!p.empty()) p.pop();
        for (int i = 0; i < n; i++)
        {
            i64 x;
            scanf("%lld", &x);
            p.push(-x);
        }
        i64 ans = 0, a, b;
        while (p.size() > 1)
        {
            a = p.top(), p.pop();
            b = p.top(), p.pop();
            p.push(a + b);
            ans += -(a + b);
        }
        printf("%lld\n", ans);
    }
    return 0;
}